<template>
<div  v-if="item.unitPrice !=='Cortesía'">
   <div
    class="text-white flex justify-between"
    style="padding: 10px 40px; background-color: #828282;"
    >
        <h4>{{ item.listTitle }}</h4>
        <p>Cod Mat. ({{item.codMaterial}})</p>
    </div>
    <el-row style="margin:2rem 0 2rem 0; border: 1px solid gray">
        <!-- titulo -->
        <el-col :span="8">
            <div style="margin: 4rem 0 0 2.5rem">
                <div
                class="bg-orange subtitle-styles text-white box-text1"
                style="margin-bottom:2rem"
                >
                Precio Unitario:
                    <span class="text-white">{{ item.unitPrice}}</span>
                </div>
                <!-- amortizaciones -->
                <div class="subtitle-styles">
                    <span>
                        Amortizaciones Realizadas
                        <br />
                    </span>
                    <div
                        style="padding: 20px 0"
                        v-for="(numb, i) in item.amortizationsMade"
                        :key="i"
                    >
                        <span>
                        <span class="font-general"></span>
                        <span class="font-general">{{ numb[i] }}</span>
                        </span>
                        <span style="margin-left:6rem">
                        <span class="font-general"></span>$
                        <span class="font-general">{{ numb[i + 1] }}</span>
                        </span>
                    </div>
                </div>
                <hr class="line-card" />
                <div class="subtitle-styles">
                <span>
                    Amortizaciones Por Realizar
                    <br />
                </span>
                <div
                    style="padding: 20px 0; margin-top: 15px"
                    v-for="(unrealized, i) in item.unrealizedAmortizations"
                    :key="i"
                >
                    <span>
                    <span class="font-general"></span>
                    <span class="font-general">{{ unrealized[0] }}</span>
                    </span>
                    <span style="margin-left:6.2rem">
                    <span class="font-general"></span>$
                    <span class="font-general">{{ unrealized[1]}}</span>
                    </span>
                </div>
                </div>
                <hr class="line-card" />
                <div class="subtitle-styles">
                <span>
                    Saldo Restante:
                    <br />
                </span>
                <div style="padding: 20px 0" class="text-orange">
                    <span>
                    <span class="font-general"></span> $
                    <span class="font-general text-orange">{{item.remainingBalance}}</span>
                    </span>
                    <span style="margin-left:8rem">
                    <el-button
                        class="el-button--gray"
                        @click="renderizTemplate(item.rendering, index, item)"
                        size="small"
                        type="primary"
                    >AMORTIZAR</el-button>
                    </span>
                </div>
                </div>
            </div>
        </el-col>
        <!-- cards derecha  -->
        <el-col
        v-if="item.rendering"
        :span="13"
        style="border-left:2px solid var( --color-orange); margin-left:80px"
        >
        <div style="padding:4rem 0 3rem 4rem">
            <div class="line-heigth">
                <el-row :gutter="15" style="padding:1rem 0rem 1rem">
                    <el-col :span="11">
                    <div class="subtitle-styles">
                        <span>
                        Numero de Amortizaciones:
                        <br />
                        </span>
                    </div>
                    </el-col>
                    <p
                    style="color:red; font-size: 12px;"
                    v-if="alertMessage.show"
                    >{{alertMessage.message}}</p>
                    <el-col :span="3">
                        <el-input
                            @input="capturingNumberAmortization(parent_id[index], index)"
                            maxlength="2"
                            v-model="parent_id[index]"
                            size="small"
                        ></el-input>
                    </el-col>
                </el-row>
                <el-row style="padding: 0.5rem 0 0.5rem">
                    <el-col :span="10">
                    <div class="subtitle-styles">
                        <span>
                        Porcentaje de Amortizacion:
                        <br />
                        </span>
                    </div>
                    </el-col>
                </el-row>
                <el-row
                    style="padding: 0.5rem 0 0.5rem"
                    v-for="(sem, i) in item.arrPercentAmort"
                    :key="i"
                >
                    <el-col :span="2" :offset="12">
                        <div>{{ i + 1 }}</div>
                    </el-col>
                    <el-col :span="3">
                        <el-input
                            v-model="item.arrPercentAmort[i].percent"
                            @input="calculatePercent(item.arrPercentAmort, index)"
                            maxlength="3"
                            size="small"
                        ></el-input>
                    </el-col>
                    <el-col :span="1">
                        <span>%</span>
                    </el-col>
                    <el-col :span="2" class="text-end" :offset="1">
                        <i
                            @click="addElement(item.arrPercentAmort, i, index)"
                            class="el-icon-circle-plus text-orange"
                            style="font-size:25px"
                        ></i>
                    </el-col>
                    <el-col :span="1" class="text-end">
                        <i
                            @click="removeElement(item.arrPercentAmort, i, index )"
                            class="el-icon-remove text-gray"
                            style="font-size:25px"
                        ></i>
                    </el-col>
                </el-row>
                <el-row :gutter="15">
                    <el-col :span="3" :offset="11">
                        <span class="text-orange">
                            <strong>Total</strong>
                        </span>
                    </el-col>
                    <el-col :span="4" class="text-center">
                        <hr v-if="true" class="line-card" />
                        <div v-if="total[index] > 1">{{ total[index] }} %</div>
                    </el-col>
                </el-row>
                <el-row :gutter="15" style="padding-top:4rem ">
                    <el-col :span="3" :offset="11">
                        <el-button
                            @click="cancelarAmortizacion(item)"
                            type="primary"
                            plain
                            size="small"
                        >CANCELAR</el-button>
                    </el-col>
                    <el-col :span="3" :offset="3">
                        <el-button
                            @click="realizarAmortizacion(item, item.unrealizedAmortizations)"
                            type="primary"
                            :disabled="total[index] !== 100"
                            size="small"
                        >REALIZAR</el-button>
                    </el-col>
                </el-row>
            </div>
        </div>
    </div>
</template>